#!/usr/bin/env ruby
#
# This file is gererated by ruby-glade-create-template 1.1.4.
#
require 'libglade2'

## This will get the temporary function for showing us the deck.
require 'includes/deck.rb'

class Main2Glade
  include GetText

  attr :glade

  def initialize(path_or_data, root = nil, domain = nil, localedir = nil, flag = GladeXML::FILE)
    bindtextdomain(domain, localedir, nil, "UTF-8")
    @glade = GladeXML.new(path_or_data, root, domain, localedir, flag) {|handler| method(handler)}
    
  @testvar = 0

    ## The next three lines initiate seperate decks
    ## This is done so a card from each may be pulled, the decks will then be merged, suffled, and dealt    
    @suspects = %w(Fencer Bowman Spearman Mage Knight Theif)
    @weapons = %w(Bow\ &\ Arrow Knife Lance Spear Wand Sword)
    @locations = %w(Mountain\ Range Field Ocean Cave Desert Swamp Forest Iced\ Lake Hills)

    ## Terminal output
    puts "Three decks successfully created"

    ## Shuffle!
    @suspects.shuffle!
    @weapons.shuffle!
    @locations.shuffle!

    ##Do the player's hand
    @lbl_hand = @glade.get_widget("lbl_players_hand")

    ## Init some condition variables
      ## 0 = Has the user seen their hand yet?  Avoid double hand showing
    @condition = [0]

  end

  def app_quit(widget)
    Gtk.main_quit
  end


  def show_hand(widget)
    if @condition[0] == 0
      @suspects.each{|suspect| @lbl_hand.label = @lbl_hand.label + "#{suspect}\n"}
      puts "Hand set to hand label for constant viewing"
      @condition[0] = 1
    end
  end
  
  def test_relocate(widget)
    @playericon = @glade.get_widget("image2")
    
  end
end

# Main program
if __FILE__ == $0
  # Set values as your own application. 
  PROG_PATH = "clue_gui.glade"
  PROG_NAME = "clue_prototype"
  o = Main2Glade.new(PROG_PATH, nil, PROG_NAME)
  o.glade["window1"].show
  Gtk.main
end
